summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/sshd
diff options
context:
space:
mode:
authorflz <flz@FreeBSD.org>2006-08-22 11:17:29 +0000
committerflz <flz@FreeBSD.org>2006-08-22 11:17:29 +0000
commit54b7b1d84ef94edba4668e1a3eb0ae3f5af47ddf (patch)
tree83b9d9ba19106202890ea4e049a6ed5c3c9d6ea0 /etc/rc.d/sshd
parent0c8554603327db9744c6c76b143eedd695c14561 (diff)
downloadFreeBSD-src-54b7b1d84ef94edba4668e1a3eb0ae3f5af47ddf.zip
FreeBSD-src-54b7b1d84ef94edba4668e1a3eb0ae3f5af47ddf.tar.gz
Backout this commit since it breaks startup and some scripts in
certain conditions. I haven't been able to find a better solution yet: - Set a two read-only variables (${prefix} and ${etcdir}). This is especially useful when using /etc/rc.d scripts with third-party software installed from ports. - Fix rc.d/sshd to work with openssh from ports using ${etcdir} instead of hardcoded /etc. - Reflect prefix/etcdir changes in rc.subr.8. src/etc/rc.d/sshd: rev 1.9 -> 1.10 src/etc/rc.subr: rev 1.51 -> 1.52 src/share/man/man8/rc.subr.8: rev 1.11 -> 1.12 Approved by: cperciva (mentor)
Diffstat (limited to 'etc/rc.d/sshd')
-rwxr-xr-xetc/rc.d/sshd33
1 files changed, 16 insertions, 17 deletions
diff --git a/etc/rc.d/sshd b/etc/rc.d/sshd
index 1f4078c..82a4670 100755
--- a/etc/rc.d/sshd
+++ b/etc/rc.d/sshd
@@ -19,8 +19,6 @@ extra_commands="keygen reload"
timeout=300
-load_rc_config $name
-
user_reseed()
{
(
@@ -49,46 +47,47 @@ sshd_keygen()
umask 022
# Can't do anything if ssh is not installed
- [ -x ${prefix}/bin/ssh-keygen ] || {
- warn "${prefix}/bin/ssh-keygen does not exist."
+ [ -x /usr/bin/ssh-keygen ] || {
+ warn "/usr/bin/ssh-keygen does not exist."
return 1
}
- if [ -f ${etcdir}/ssh/ssh_host_key ]; then
+ if [ -f /etc/ssh/ssh_host_key ]; then
echo "You already have an RSA host key" \
- "in ${etcdir}/ssh/ssh_host_key"
+ "in /etc/ssh/ssh_host_key"
echo "Skipping protocol version 1 RSA Key Generation"
else
- ${prefix}/bin/ssh-keygen -t rsa1 -b 1024 \
- -f ${etcdir}/ssh/ssh_host_key -N ''
+ /usr/bin/ssh-keygen -t rsa1 -b 1024 \
+ -f /etc/ssh/ssh_host_key -N ''
fi
- if [ -f ${etcdir}/ssh/ssh_host_dsa_key ]; then
+ if [ -f /etc/ssh/ssh_host_dsa_key ]; then
echo "You already have a DSA host key" \
- "in ${etcdir}/ssh/ssh_host_dsa_key"
+ "in /etc/ssh/ssh_host_dsa_key"
echo "Skipping protocol version 2 DSA Key Generation"
else
- ${prefix}/bin/ssh-keygen -t dsa -f ${etcdir}/ssh/ssh_host_dsa_key -N ''
+ /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ''
fi
- if [ -f ${etcdir}/ssh/ssh_host_rsa_key ]; then
+ if [ -f /etc/ssh/ssh_host_rsa_key ]; then
echo "You already have a RSA host key" \
- "in ${etcdir}/ssh/ssh_host_rsa_key"
+ "in /etc/ssh/ssh_host_rsa_key"
echo "Skipping protocol version 2 RSA Key Generation"
else
- ${prefix}/bin/ssh-keygen -t rsa -f ${etcdir}/ssh/ssh_host_rsa_key -N ''
+ /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ''
fi
)
}
sshd_precmd()
{
- if [ ! -f ${etcdir}/ssh/ssh_host_key -o \
- ! -f ${etcdir}/ssh/ssh_host_dsa_key -o \
- ! -f ${etcdir}/ssh/ssh_host_rsa_key ]; then
+ if [ ! -f /etc/ssh/ssh_host_key -o \
+ ! -f /etc/ssh/ssh_host_dsa_key -o \
+ ! -f /etc/ssh/ssh_host_rsa_key ]; then
user_reseed
run_rc_command keygen
fi
}
+load_rc_config $name
run_rc_command "$1"
OpenPOWER on IntegriCloud